<!--
  Generated template for the CurrentBookedPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Upcoming Rides</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="grey-background">

	<div *ngIf="rides == 0" class="text-center" ion-text-center>
		<p>You have no booked rides.</p>
	</div>

	<ion-list inset *ngFor="let r of rides; let i = index" 
  class="rides">
      <ion-card >
        <ion-card-content>
          <ion-grid>
            <ion-row (click)="viewRide(i)">
              <ion-col col-3 class="img-avatar">
                  <img *ngIf="r.driver_profile.startsWith('h')" [src]="r.driver_profile">
                  <img *ngIf="r.driver_profile.startsWith('/')" [src]="url+r.driver_profile"> 
              </ion-col>

              <ion-col col-6>
                  <h4> <strong> {{r.driver}} </strong> </h4>
                  <p> {{r.make}} {{r.model}}</p>
                  <div *ngIf="r.status == 'Approved'">
                      <p *ngIf="r.booker_payment_paid  == 'Yes'"> 
                        Paid
                      </p>
                      <p *ngIf="r.booker_payment_paid  == 'No'"> 
                        <strong> Payment Pending </strong> 
                      </p>
                  </div>
                  <div *ngIf="r.status == 'Requested'">
                    <strong> Pending Approval </strong> 
                  </div>
              </ion-col>

              <ion-col col-3>
                <h1> ${{r.ride.price}} </h1>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col col-12>
                <p> {{r.start }}  <strong>{{r.ride.city_from}} </strong> </p>
                <p> {{r.end}} <strong> {{r.ride.city_to}} </strong> </p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col col-6>
                <p>{{r.status}}</p> 
              </ion-col>
              <ion-col col-6>
                <p><strong>Seats Booked:</strong> {{r.seats}}</p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col col-4>
                <h4> <strong> {{r.date}} </strong> </h4>
              </ion-col>
              <ion-col col-4>
                <button *ngIf="r.status == 'Approved' && r.booker_payment_paid  == 'No'"
                (click)="payRide(r.rides_id, r.ride_cost, r.seats)" ion-button small color="primary" >
                  Pay Ride 
                </button>
                <button *ngIf="r.status == 'Approved' && r.booker_payment_paid  == 'Yes'"
                (click)="contactDriver(r.ride.user_id, r.rides_id)" ion-button small color="primary" >
                  Message 
                </button>
              </ion-col>
              <ion-col col-4>
                <button (click)="cancelRide(r)" ion-button small color="danger" >
                  Cancel 
                </button>
              </ion-col>
            </ion-row>
          </ion-grid> 
        </ion-card-content>
      </ion-card>
  </ion-list>

  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
     <ion-infinite-scroll-content></ion-infinite-scroll-content>
   </ion-infinite-scroll>


</ion-content>
